# generated by datamodel-codegen:
#   filename:  session_result.json

from __future__ import annotations

from dataclasses import dataclass
from typing import List

from . import collect_report, error_message, test_case_report, warning_message


@dataclass
class SessionResult:
    """
    Result of a pytest session, including collect reports and test reports.
    """

    pytest_version: str
    """
    The version of pytest that generated the report.
    """
    plugin_version: str
    """
    The version of the plugin that generated the report.
    """
    exit_status: int
    """
    The exit status of the pytest run. 0 indicates success, non-zero indicates failure.
    """
    errors: List[error_message.ErrorMessage]
    """
    Errors generated during the session.
    """
    warnings: List[warning_message.WarningMessage]
    """
    Warnings generated during the session.
    """
    collect_reports: List[collect_report.CollectReport]
    """
    Collect reports generated during the session.
    """
    test_reports: List[test_case_report.TestCaseReport]
    """
    Test reports generated during the session.
    """
