# generated by datamodel-codegen:
#   filename:  test_case.json

from __future__ import annotations

from dataclasses import dataclass
from typing import Dict, List, Optional


@dataclass
class TestCase:
    """
    A collected test case.
    """

    node_id: str
    """
    The node ID of the test case.
    """
    path: str
    """
    The file path where the test case is defined.
    """
    name: str
    """
    Test Name
    """
    doc: str
    """
    The test docstring (optional).
    """
    markers: List[str]
    """
    The test markers. Each marker is a string.
    """
    parameters: Dict[str, str]
    """
    Test parameters names and types. Each key is a parameter name and each value is a parameter type as a string.
    """
    node_type: str = "case"
    """
    The node type. Always set to 'case'.
    """
    module: Optional[str] = None
    """
    The module name where the test case is defined (optional).
    """
    suite: Optional[str] = None
    """
    The test suite name where the test case is defined (optional).
    """
    function: Optional[str] = None
    """
    The function name (optional).
    """
