# generated by datamodel-codegen:
#   filename:  test_case_finished.json

from __future__ import annotations

from dataclasses import dataclass

from . import outcome


@dataclass
class TestCaseFinished:
    """
    Event emitted when a test case is finished (meaning all of setup, call and teardown steps are finished).
    """

    node_id: str
    """
    The node ID of the test case.
    """
    outcome: outcome.Outcome
    """
    Outcome of the test case.
    """
    duration: float
    """
    Duration of the test case in seconds (including setup and teardown).
    """
    start: str
    """
    Start time of the test case (including setup).
    """
    stop: str
    """
    Stop time of the test case (including teardown).
    """
    event_type: str = "case_finished"
    """
    The event type. Always set to 'case_finished'.
    """
