# generated by datamodel-codegen:
#   filename:  test_case_report.json

from __future__ import annotations

from dataclasses import dataclass
from typing import Optional

from . import (
    outcome,
    test_case_call,
    test_case_finished,
    test_case_setup,
    test_case_teardown,
)


@dataclass
class TestCaseReport:
    """
    Report for a single test case.
    """

    node_id: str
    """
    The node ID of the test case.
    """
    outcome: outcome.Outcome
    """
    Outcome of the test case.
    """
    duration: float
    """
    Duration of the test case in seconds (including setup and teardown).
    """
    setup: test_case_setup.TestCaseSetup
    """
    Setup step of the test case.
    """
    teardown: test_case_teardown.TestCaseTeardown
    """
    Teardown step of the test case.
    """
    finished: test_case_finished.TestCaseFinished
    """
    View of the test case after it has finished.
    """
    call: Optional[test_case_call.TestCaseCall] = None
    """
    Call step of the test case (optional).
    """
