# generated by datamodel-codegen:
#   filename:  test_case_teardown.json

from __future__ import annotations

from dataclasses import dataclass
from typing import Optional

from . import outcome, test_case_error


@dataclass
class TestCaseTeardown:
    """
    Pytest Test Case Teardown
    """

    node_id: str
    """
    The node ID of the test case.
    """
    outcome: outcome.Outcome
    """
    Outcome of the teardown step.
    """
    duration: float
    """
    Duration of the teardown step in seconds.
    """
    start: str
    """
    Start time of the teardown step in ISO 8601 format.
    """
    stop: str
    """
    Stop time of the teardown step in ISO 8601 format.
    """
    event_type: str = "case_teardown"
    """
    The event type. Always set to 'case_teardown'.
    """
    error: Optional[test_case_error.TestCaseError] = None
    """
    Error details if the teardown step failed.
    """
